"""Admin models for the mainapp app."""

from django.contrib import admin

from .models import Peg


@admin.register(Peg)
class PegAdmin(admin.ModelAdmin):
    """Admin model for the Peg model."""

    change_list_template = "entities/bulk_pegging.html"
    readonly_fields = ("peg_number",)
    list_display = ("peg_number",)
    search_fields = ("peg_number",)

